# $Revision: 1.18 $, $Date: 2002/06/04 14:00:29 $
%include	/usr/lib/rpm/macros.perl
Summary:	LinuxStat is for generating and displaying different statistics
Summary(pl):	LinuxStat suy do generowania i prezentacji rnych statystyk
Name:		lstat
Version:	2.2
Release:	1
Epoch:		1
License:	GPL
Group:		Applications/Networking
Source0:	http://prdownloads.sourceforge.net/lstat/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.conf
Patch0:		%{name}-makefile.patch
URL:		http://lstat.sourceforge.net/
Prereq:		grep
Prereq:		apache
Prereq:		chkconfig
Prereq:		perl
Requires:	apache-mod_expires
BuildRequires:	rpm-perlprov
BuildRequires:	perl
BuildRequires:	rrdtool
BuildRequires:	perl-CGI
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%define		_initdir		/etc/rc.d/init.d
%define		_pkglibdir		/var/lib/%{name}
%define		_wwwuser		http
%define		_wwwgroup		http
%define		_wwwrootdir		/home/httpd
%define		_httpdconf		/etc/httpd/httpd.conf

%description
LinuxStat is for generating and displaying different statistics of
Linux by WWW browser.

%description -l pl
Projekt LinuxStat suy do generowania i prezentacji rnych statystyk
dotyczcych komputera z systemem Linux. Co pewien czas (np. 5 min)
zostaje zapamitana warto wybranych parametrw systemu. Dziki
zastosowaniu biblioteki RRDtool stworzonej przez Tobiego Oetikera
(twrca projektu MRTG), zbiory danych nie zwikszaj swojej objtoci,
jednoczenie umoliwiajc ledzenie wartoci nawet kilka lat wstecz. W
kadej chwili mona obejrze wykresy pokazujce zmiany interesujcego
nas parametru. W tym celu wystarczy uy dowolnej przegldarki WWW.
Oryginalnie projekt zosta stworzony do analizy przepustowoci cz
internetowych, w celu planowania rozbudowy infrastruktury
informatycznej. Doskonale nadaje si do prezentacji statystyk
dotyczcych pakietw przesyanych przez routery zbudowane w oparciu o
system Linux. Przy okazji zostay dodane wykresy obrazujce inne
parametry systemu.

%prep
%setup  -q
%patch0 -p1

%build
./configure \
	--apache \
	--with-httpdconf=%{_httpdconf} \
	--with-prefix=%{_prefix} \
	--with-bin=%{_bindir} \
	--with-lib=%{_libdir}/perl5/5.6.1 \
	--with-etc=%{_sysconfdir}/lstat \
	--with-www=%{_wwwrootdir}/lstat \
	--with-rrd=%{_pkglibdir}/rrd \
	--with-pages=%{_pkglibdir}/pages \
	--with-objects=%{_pkglibdir}/objects \
	--with-templates=%{_pkglibdir}/templates \
	--with-wwwuser=%{_wwwuser} \
	--with-wwwgroup=%{_wwwgroup} \
	--noupdate_apache_conf
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install -D %{SOURCE1} $RPM_BUILD_ROOT%{_initdir}/lstatd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add lstatd
if [ -f /var/lock/subsys/lstatd ]; then
        /etc/rc.d/init.d/lstatd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/lstatd start\" to start counting statistics."
fi

if [ -f %{_sysconfdir}/httpd/httpd.conf ] && \
        ! grep -q "^Include.*/%{name}.conf" %{_sysconfdir}/httpd/httpd.conf; then
                echo "Include %{_sysconfdir}/httpd/%{name}.conf" >> %{_sysconfdir}/httpd/httpd.conf
	if [ -f /var/lock/subsys/httpd ]; then
        	/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi
/usr/bin/Mkgraph.pl

%preun
if [ "$1" = 0 ]; then
        if [ -f /var/lock/subsys/lstatd ]; then
                /etc/rc.d/init.d/lstatd stop >&2
        fi
        /sbin/chkconfig --del lstatd
	grep -E -v "^Include.*%{name}.conf" %{_sysconfdir}/httpd/httpd.conf > \
	%{_sysconfdir}/httpd/httpd.conf.tmp
	mv -f %{_sysconfdir}/httpd/httpd.conf.tmp %{_sysconfdir}/httpd/httpd.conf
	if [ -f /var/lock/subsys/httpd ]; then
	        /etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_initdir}/lstatd
%dir %{_sysconfdir}/lstat
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/lstat/config
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/httpd/lstat.conf
%dir /home/httpd/lstat
%dir /home/httpd/lstat/edit
%attr(700,http,http) %dir /home/httpd/lstat/statimg
%attr(755,root,root) /home/httpd/lstat/edit/edit.cgi
%attr(755,root,root) /home/httpd/lstat/lstat.cgi
/home/httpd/lstat/doc/*
/home/httpd/lstat/skins/*
/home/httpd/lstat/icons/*
%attr(755,root,root) %{_bindir}/lstatd
%attr(755,root,root) %{_bindir}/show_filters
%attr(755,root,root) %{_bindir}/security_lstat
%attr(755,root,root) %{_bindir}/Mkgraph.pl
%{_libdir}/perl5/5.6.1/*
%dir %{_pkglibdir}/rrd
%attr(700,http,http) %dir %{_pkglibdir}/objects
%attr(700,http,http) %dir %{_pkglibdir}/pages
%attr(700,http,http) %{_pkglibdir}/pages/*
%dir %{_pkglibdir}/templates
%{_pkglibdir}/templates/*
%doc src/doc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lstat.spec,v $
Revision 1.18  2002/06/04 14:00:29  baseciq
- now works and builds corectly
- fixed --with-lib path
- Mkgraph.pl runs after each install (it's safe)
- no longer conflicts with perl-CGI-modules
- fixed build needs access to /etc/http/httpd.conf (missing --with-www{user,group})
- TODO: cosmetics, remove requires: perl-CGI-modules
- added %doc
- STBR

Revision 1.17  2002/05/21 23:36:37  baseciq
- added info messages to %post (run ... to init/start/etc...)
- STBR -> *test*

Revision 1.16  2002/05/21 23:19:05  baseciq
- changed buildarch to noarch - lstat doesn't contains any binary files
- needs to run /usr/bin/Mkgraph.pl after instalation
  (it can't be done due build process or instalation - it looks that Mkgraph needs lstatd
   running)
- needs cosmetics

Revision 1.15  2002/05/21 11:26:45  baseciq
- now builds, but still doesn't work
- rewritten makefile patch against lstat-2.2

Revision 1.14  2002/05/06 15:54:32  pioklo
-up to 2.2,STBR

Revision 1.13  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:13:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/19 14:29:35  grzegorz
- fixed %%post, in spec's we use %% not $ :)
- first we need mkgraph before we use it in %%post so i
  add instaling it and added to %%files
- i think that now everythnig is ok so STBR

Revision 1.10  2001/12/19 10:56:39  adasi
- finnaly fixed mkgraph issue; it should be installing properly now. Need to be checked

Revision 1.9  2001/12/18 22:37:14  misiek
- BR: perl-CGI

Revision 1.8  2001/12/17 16:55:52  adasi
- moving /proc/net/dev checking to installation scripts

Revision 1.7  2001/12/12 17:01:04  blues
- 2.0 (this is not beta now.... bugfix)
- cosmetic
STBR

Revision 1.6  2001/12/11 11:09:00  qboosh
- en summary/description; added some missing dirs; release 4

Revision 1.5  2001/12/01 22:57:03  grzegorz
- chmod 640 /etc/httpd/lstat.conf
- rel 3, STBR

Revision 1.4  2001/11/12 16:33:07  grzegorz
- modified %%post to not restart httpd if Include is in httpd.conf already

Revision 1.3  2001/11/12 16:29:01  grzegorz
- added %%verify(not size mtime md5) to %%{_pkglibdir}/pages/*
- release 2, STBR

Revision 1.2  2001/11/12 15:54:42  grzegorz
- added %%{_sysconfdir}/httpd/lstat.conf to %%files

Revision 1.1  2001/11/12 08:54:44  grzegorz
- initial PLD spec
